Get Many Invoices
Returns the invoices your organization pays or is paid for, newest first. An order can have several invoices: the retailer's invoice for the order (ORDER) and any fee invoices (FEE, BASE).
Query Parameters
- page integer required
Page to return. Pages start at
0 - limit integer required
Possible values:
>= 1and<= 500Number of records per page, up to
500 - orderId uuid
Only return invoices for this order
- groupType string
Possible values: [
ORDER,FEE,BASE]Only return invoices of this kind
- collectionStatus string
Possible values: [
UNFINISHED,FINISHED]Only return invoices that are still being collected (
UNFINISHED) or are done (FINISHED) - paymentStatus string
Possible values: [
UNPAID,COD_PAID,NET_TERMS_PAID,REMITTED,SELF_COLLECTED,PROCESSING,PAYMENT_SENT,WRITE_OFF,THIRD_PARTY_COLLECTIONS,PARTIAL_PAID,DRIVER_PROCESSING]Only return invoices whose order has this payment status
- startDueDate date
Only return invoices due on or after this date, in
yyyy-mm-ddformat - endDueDate date
Only return invoices due on or before this date, in
yyyy-mm-ddformat - startCreatedAt date
Only return invoices created on or after this date, in
yyyy-mm-ddformat - endCreatedAt date
Only return invoices created on or before this date, in
yyyy-mm-ddformat - startUpdatedAt date
Only return invoices updated on or after this date, in
yyyy-mm-ddformat - endUpdatedAt date
Only return invoices updated on or before this date, in
yyyy-mm-ddformat
- 200
- 400
- 401
- 429
Successful Operation
- application/json
- Schema
Schema
data object[]
id uuidNabis ID of the invoice
number integerInvoice number
name stringName of the invoice
orderId uuidNabis ID of the order the invoice is for.
nullfor invoices that aren't tied to an order. See Get Order by Nabis IDgroupType stringPossible values: [
ORDER,FEE,BASE]Kind of invoice.
ORDERis the retailer's invoice for an order;FEEandBASEare feespaidByOrganizationId uuidNabis ID of the organization that pays the invoice
paidByOrganizationName stringName of the organization that pays the invoice
paidToOrganizationId uuidNabis ID of the organization the invoice is paid to
paidToOrganizationName stringName of the organization the invoice is paid to
collectionStatus stringPossible values: [
UNFINISHED,FINISHED]Whether Nabis is still collecting on the invoice (
UNFINISHED) or is done (FINISHED)dueDate dateDate the invoice is due, in
yyyy-mm-ddformatnetTerms integerNumber of days after delivery the invoice is due.
0when due on deliverypublicNotes stringNotes on the invoice
subtotal numberAmount invoiced before tax, discounts and credits
discount numberDiscounts applied to the invoice
creditMemo numberTotal of the credit memos applied to the invoice
deduction numberDeductions applied to the invoice
writeOff numberAmount written off as uncollectable
collected numberAmount collected on the invoice so far
balanceDue numberAmount still owed on the invoice
tax numberTax on the order. Only set on
ORDERinvoices.surchargeAmount numberSurcharge on the order. Only set on
ORDERinvoices.paymentStatus stringPossible values: [
UNPAID,COD_PAID,NET_TERMS_PAID,REMITTED,SELF_COLLECTED,PROCESSING,PAYMENT_SENT,WRITE_OFF,THIRD_PARTY_COLLECTIONS,PARTIAL_PAID,DRIVER_PROCESSING]Payment status of the order. Only set on
ORDERinvoices.paidAt date-timeWhen the order was paid in full. Only set on
ORDERinvoices.remittedAt date-timeWhen payment for the order was remitted to the brand. Only set on
ORDERinvoices.creditMemos object[]
Credit memos applied to the order. Only set on
ORDERinvoices. Empty on other invoicesid uuidNabis ID of the credit memo
amount numberAmount of the credit memo
creditMemoType stringPossible values: [
ACCOUNT_CREDIT,FAULTY_HARDWARE_CREDIT,MANUFACTURING_ERROR_CREDIT,MARKETING_CREDIT,PROMOTIONAL_CREDIT,RETURN_CREDIT,ROLLOVER_OVERPAYMENT_CREDIT,SALES_CREDIT,SETTLEMENT_CREDIT]Reason for the credit memo
notes stringNotes on the credit memo
createdAt date-timeWhen the credit memo was created
createdAt date-timeWhen the invoice was created
updatedAt date-timeWhen the invoice was last updated
- page integer
The page returned
- totalCount integer
Total number of records across all pages
- totalNumPages integer
Total number of pages
- nextPage integer
The next page, or
nullon the last page - prevPage integer
The previous page, or
nullon the first page
Invalid request parameters
Invalid API key
Too Many Requests